using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ewide.Application.Entity
{
    [Table("bs_house_projectinfo")]
    [Comment("项目表")]
    public class BsHouseProjectInfo : Core.DEntityBase
    {
        [Comment("名称")]
        [MaxLength(100)]
        [Required]
        public string Name { get; set; }

        [Comment("备注")]
        [MaxLength(1000)]
        public string Note { get; set; }

        [Comment("排序")]
        [Required]
        public int Sort { get; set; }

        [Comment("区域ID")]
        [MaxLength(36)]
        [Required]
        public string AreaCode { get; set; }

        [Comment("类型")]
        [Required]
        public int Type { get; set; }
    }
}
